PipeWire: Dictionary

PipeWire 0.3.80

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions
Dictionary
SPA » Utilities

Dictionary data structure. More...

## Files
file | dict.h
| `spa/utils/dict.h`

## Data Structures
struct | spa_dict_item
struct | spa_dict

## Macros
#define | SPA_DICT_ITEM_INIT(key, value) ((struct spa_dict_item) { (key), (value) })
#define | SPA_DICT_FLAG_SORTED (1<<0)
| items are sorted
#define | SPA_DICT_INIT(items, n_items) ((struct spa_dict) { 0, (n_items), (items) })
#define | SPA_DICT_INIT_ARRAY(items) ((struct spa_dict) { 0, SPA_N_ELEMENTS(items), (items) })
#define | spa_dict_for_each(item, dict)

## Functions
static int | spa_dict_item_compare (const void *i1, const void *i2)
static void | spa_dict_qsort (struct spa_dict *dict)
static const struct spa_dict_item * | spa_dict_lookup_item (const struct spa_dict *dict, const char *key)
static const char * | spa_dict_lookup (const struct spa_dict *dict, const char *key)

## Detailed Description

Dictionary data structure.

## Macro Definition Documentation

## ◆ SPA_DICT_ITEM_INIT

#define SPA_DICT_ITEM_INIT | ( |  | key,
|  |  | value
| ) |  | ((struct spa_dict_item) { (key), (value) })

Examples
  export-source.c, spa/examples/adapter-control.c, video-play.c, and video-src.c.

## ◆ SPA_DICT_FLAG_SORTED

#define SPA_DICT_FLAG_SORTED (1<<0)

items are sorted

## ◆ SPA_DICT_INIT

#define SPA_DICT_INIT | ( |  | items,
|  |  | n_items
| ) |  | ((struct spa_dict) { 0, (n_items), (items) })

Examples
  spa/examples/adapter-control.c, video-play.c, and video-src.c.

## ◆ SPA_DICT_INIT_ARRAY

#define SPA_DICT_INIT_ARRAY | ( |  | items | ) | ((struct spa_dict) { 0, SPA_N_ELEMENTS(items), (items) })

Examples
  export-source.c.

## ◆ spa_dict_for_each

#define spa_dict_for_each | ( |  | item,
|  |  | dict
| ) |  |

Examples
  tutorial6.c.

## Function Documentation

## ◆ spa_dict_item_compare()

static int spa_dict_item_compare | ( | const void * | i1,
|  | const void * | i2
| ) |  |
| inlinestatic

## ◆ spa_dict_qsort()

static void spa_dict_qsort | ( | struct spa_dict * | dict | ) |
| inlinestatic

## ◆ spa_dict_lookup_item()

static const struct spa_dict_item * spa_dict_lookup_item | ( | const struct spa_dict * | dict,
|  | const char * | key
| ) |  |
| inlinestatic

## ◆ spa_dict_lookup()

static const char * spa_dict_lookup | ( | const struct spa_dict * | dict,
|  | const char * | key
| ) |  |
| inlinestatic